package org.springblade.modules.xxy.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.rhzf.fwInfo.vo.LdBzdzVO;
import org.springblade.modules.xxy.entity.XxyEntity;
import org.springblade.modules.xxy.excel.XxyExcel;
import org.springblade.modules.xxy.mapper.XxyMapper;
import org.springblade.modules.xxy.service.IXxyService;
import org.springblade.modules.xxy.vo.DyVO;
import org.springblade.modules.xxy.vo.XxyVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 信息员 服务实现类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Service
public class XxyServiceImpl extends BaseServiceImpl<XxyMapper, XxyEntity> implements IXxyService {

	@Override
	public IPage<XxyEntity> selectXxyPage(IPage<XxyEntity> page, XxyEntity Xxy) {
		return page.setRecords(baseMapper.selectXxyPage(page, Xxy));
	}

	@Override
	public List<XxyExcel> exportXxy(Map<String, Object> params) {
		List<XxyExcel> XxyList = baseMapper.exportXxy(params);
		return XxyList;
	}

	@Override
	public IPage<XxyVO> getXxyList(IPage<XxyVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.getXxyList(page, params));
	}

	@Override
	public List<LdBzdzVO> getJzwList(Map<String, Object> params) {
		return baseMapper.getJzwList(params);
	}

	@Override
	public List<DyVO> getDyList(Map<String, Object> params) {
		return baseMapper.getDyList(params);
	}

	@Override
	public List<XxyVO> selectXxyList(Map<String, Object> params) {
		return baseMapper.selectXxyList(params);
	}

}
